Upload bulk payout file

Upload an XLSX file containing multiple payouts for bulk processing. The file will be processed asynchronously, and the bulk upload status can be tracked using the returned bulk payout ID.

The XLSX file should contain columns for: currency, bankName, payoutMethod, amount, accountNumber, branchCode, reference, accountHolder.

The file may also include an optional notifyEmail column. When provided, it should contain one or more comma-separated email addresses. These recipients will receive the existing proof-of-payout email with PDF attachment once the payout succeeds. The file may also include an optional merchantReference column.

Path Params
string
required
length between 32 and 32

A unique merchant ID provided by Peach Payments.

Body Params

Upload a file as multipart/form-data. The field name for the file part can be any valid string, but must match what the backend expects. Only .xlsx files are supported for processing.

file

XLSX file containing payout instructions.

Accepted file types:

  • .xlsx (application/vnd.openxmlformats-officedocument.spreadsheetml.sheet)
  • .xls (application/vnd.ms-excel)
  • Generic binary files (application/octet-stream)

Only .xlsx files are supported for processing.

Responses

Language
Credentials
Bearer
JWT
URL
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json